Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead3TaskQueueSemaphoreBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead3TaskQueueSemaphoreBean

@ApplicationScoped public class Bulkhead3TaskQueueSemaphoreBean extends Object
Tests that the waitingTaskQueue parameter is ignored when `Asynchronous` is not used

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead3TaskQueueSemaphoreBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead3TaskQueueSemaphoreBean

public Bulkhead3TaskQueueSemaphoreBean()

## Method Details

### test

@Bulkhead(value=3, waitingTaskQueue=5) public void test(Barrier barrier)